## ros-indigo-turtlebot-gazebo 2.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(turtlebot_gazebo)
find_package(catkin REQUIRED)
catkin_package()

catkin_add_env_hooks(25.turtlebot-gazebo SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY maps
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY worlds
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-turtlebot-gazebo (2.2.3-0trusty) trusty; urgency=high

  * Fix changing amcl.launch.xml and gmapping.launch.xml locations under turtlebot_navigation
  * Contributors: Mohamed Al Zaiady, Mohamed Elzaiady, Tully Foote, mzaiady

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 18 Sep 2017 07:00:00 -0000

ros-indigo-turtlebot-gazebo (2.2.2-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Wed, 16 Sep 2015 07:00:00 -0000

ros-indigo-turtlebot-gazebo (2.2.1-0trusty) trusty; urgency=high

  * Enable to run Gazebo w/o GUI.
  * Contributors: Isaac IY Saito

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 07 Aug 2015 07:00:00 -0000

ros-indigo-turtlebot-gazebo (2.2.0-0trusty) trusty; urgency=high

  * use env hook to configure gazebo world and map fixes #40 <https://github.com/turtlebot/turtlebot_simulator/issues/40>
  * now it uses args to load world. and corridor world is added. #39 <https://github.com/turtlebot/turtlebot_simulator/issues/39>
  * disable create gazebo plugin
  * Add turtlebot_navigation to turtlebot_gazebo depends
    gmapping_demo.launch depends on it.
  * Contributors: Jihoon Lee, Jochen Sprickerhof

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 30 Dec 2014 08:00:00 -0000

ros-indigo-turtlebot-gazebo (2.1.1-0trusty) trusty; urgency=high

  * Rename cmd_vel_mux as yocs_cmd_vel_mux.

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 14 Oct 2013 07:00:00 -0000

ros-indigo-turtlebot-gazebo (2.1.0-0trusty) trusty; urgency=high

  * Add navigation demos on Gazebo on a playground world.
  * Add bugtracker and repo info URLs.
  * Add cmd_vel_mux for create and roomba.
  * Do not use robot_pose_ekf for kobuki base.

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 30 Aug 2013 07:00:00 -0000

ros-indigo-turtlebot-gazebo (2.0.0-0trusty) trusty; urgency=high

  * Migrated to use stand-alone Gazebo installation
  * All packages have been catkinized

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 16 Jul 2013 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-turtlebot-gazebo
Section: misc
Priority: extra
Maintainer: Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/turtlebot_gazebo
Standards-Version: 3.9.2

Package: ros-indigo-turtlebot-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-depthimage-to-laserscan, ros-indigo-diagnostic-aggregator, ros-indigo-gazebo-ros, ros-indigo-kobuki-gazebo-plugins, ros-indigo-robot-pose-ekf, ros-indigo-robot-state-publisher, ros-indigo-turtlebot-bringup, ros-indigo-turtlebot-description, ros-indigo-turtlebot-navigation, ros-indigo-xacro, ros-indigo-yocs-cmd-vel-mux
Description: Gazebo launchers and worlds for TurtleBot simulation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-turtlebot-gazebo//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
